%define major		9
%define libname		%mklibname wacom %{major}
%define develname	%mklibname wacom -d

Name:		libwacom
Summary:	A library to identify wacom tablets
Epoch:		1
Version:        2.15.0
Release:	%mkrel 2
Group:		Development/X11
License:        HPND
URL:            https://github.com/linuxwacom/libwacom

Source0:	https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(libxml-2.0)

%description
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files
%license COPYING
%doc README.md
%{_bindir}/libwacom-list-devices
%{_bindir}/libwacom-list-local-devices
%{_bindir}/libwacom-show-stylus
%{_bindir}/libwacom-update-db

%{_mandir}/man1/libwacom-list-devices.1*
%{_mandir}/man1/libwacom-list-local-devices.*
%{_mandir}/man1/libwacom-show-stylus.1.*
%{_datadir}/libwacom/
%{_udevrulesdir}/65-libwacom.rules
%{_udevhwdbdir}/65-libwacom.hwdb

#-----------------------------------------------------------

%package -n %{libname}
Summary:	A library to identify wacom tablets
Group:		Development/X11
Requires:	%{name} >= %{epoch}:%{version}-%{release}

%description -n %{libname}
libwacom is a library to identify wacom tablets and their model-specific
features. It provides easy access to information such as "is this a built-in
on-screen tablet", "what is the size of this model", etc.

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#-----------------------------------------------------------

%prep
%autosetup -p1

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build

%install
%meson_install

install -d %{buildroot}%{_udevrulesdir}

%check
%meson_test


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1:2.15.0-2.mga10
+ Revision: 2249745
- Mageia 10 Mass Rebuild

* Tue Mar 25 2025 tv <tv> 1:2.15.0-1.mga10
+ Revision: 2169697
- libwacom 2.15.0

* Thu Dec 05 2024 daviddavid <daviddavid> 1:2.14.0-1.mga10
+ Revision: 2121689
- new version: 2.14.0

* Sun Dec 01 2024 daviddavid <daviddavid> 1:2.13.0-1.mga10
+ Revision: 2120343
- new version: 2.13.0

* Tue Aug 27 2024 mrambo3501 <mrambo3501> 1:2.12.2-1.mga10
+ Revision: 2091864
- version 2.12.2

* Wed Jun 12 2024 daviddavid <daviddavid> 1:2.12.1-1.mga10
+ Revision: 2072830
- new version: 2.12.1

* Thu Feb 15 2024 daviddavid <daviddavid> 1:2.10.0-1.mga10
+ Revision: 2041519
- new version: 2.10.0

* Thu Sep 21 2023 tv <tv> 1:2.8.0-1.mga10
+ Revision: 1989174
- 2.8.0

* Fri May 19 2023 luigiwalser <luigiwalser> 1:2.7.0-1.mga9
+ Revision: 1957382
- 2.7.0

* Wed Feb 01 2023 luigiwalser <luigiwalser> 1:2.6.0-1.mga9
+ Revision: 1937451
- 2.6.0

* Tue Jan 17 2023 daviddavid <daviddavid> 1:2.5.0-1.mga9
+ Revision: 1934098
- new version: 2.5.0

* Sun Sep 25 2022 tv <tv> 1:2.4.0-1.mga9
+ Revision: 1892204
- 2.4.0

* Wed Jun 22 2022 tv <tv> 1:2.3.0-1.mga9
+ Revision: 1865414
- libwacom 2.3.0

* Tue Mar 29 2022 tv <tv> 1:2.2.0-1.mga9
+ Revision: 1831879
- libwacom 2.2.0

* Wed Feb 16 2022 tv <tv> 1:2.1.0-1.mga9
+ Revision: 1777990
- libwacom 2.1.0

* Wed Jan 19 2022 tv <tv> 1:2.0.0-1.mga9
+ Revision: 1769093
- libwacom 2.0.0

* Mon Dec 13 2021 tv <tv> 1:1.99.1-1.mga9
+ Revision: 1761919
- libwacom 1.99.1

* Wed Sep 08 2021 luigiwalser <luigiwalser> 1:1.12-1.mga9
+ Revision: 1744551
- 1.12

* Tue Jul 20 2021 tv <tv> 1:1.11-1.mga9
+ Revision: 1737114
- 1.11

* Thu Jun 03 2021 tv <tv> 1:1.10-1.mga9
+ Revision: 1729451
- 1.10

* Mon Mar 29 2021 tv <tv> 1:1.9-2.mga9
+ Revision: 1711736
- Add X1 Yoga6 data files (rhbz#1940872)

* Sat Feb 27 2021 tv <tv> 1:1.9-1.mga9
+ Revision: 1693074
- 1.9

* Tue Jan 19 2021 tv <tv> 1:1.7-2.mga8
+ Revision: 1672482
- Add tablet file for Lenovo ThinkPad P15 (rhbz#1914409)

* Thu Dec 17 2020 tv <tv> 1:1.7-1.mga8
+ Revision: 1659504
- update URL
- drop mga6 -> mga7 upgrade conflicts
- libwacom 1.7

* Tue Nov 03 2020 tv <tv> 1:1.6-1.mga8
+ Revision: 1642182
- 1.6

* Mon Aug 31 2020 tv <tv> 1:1.5-1.mga8
+ Revision: 1620335
- 1.5

* Tue Jun 30 2020 akien <akien> 1:1.4.1-1.mga8
+ Revision: 1600612
- Version 1.4.1 (upstreams patches)

* Sun Jun 28 2020 akien <akien> 1:1.4-2.mga8
+ Revision: 1600038
- Backport upstream PR to fix joystick detection

* Wed Jun 24 2020 tv <tv> 1:1.4-1.mga8
+ Revision: 1599124
- 1.4
+ danf <danf>
- Switch URLs from http: to https:

* Wed Mar 25 2020 tv <tv> 1:1.3-1.mga8
+ Revision: 1559616
- 1.3

* Tue Feb 18 2020 umeabot <umeabot> 1:1.2-2.mga8
+ Revision: 1541353
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 tv <tv> 1:1.2-1.mga8
+ Revision: 1470030
- new release

* Mon Sep 16 2019 tv <tv> 1:1.1-1.mga8
+ Revision: 1442305
- disable test that works locally but fails on BS
- new release

* Thu Aug 08 2019 tv <tv> 1:0.99.901-1.mga8
+ Revision: 1428177
- run testsuite
- 1.0 rc1

* Sat Apr 13 2019 daviddavid <daviddavid> 1:0.33-1.mga7
+ Revision: 1389683
- new version: 0.33
+ tv <tv>
- use new macros

* Mon Nov 05 2018 tv <tv> 1:0.32-1.mga7
+ Revision: 1328400
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1:0.31-2.mga7
+ Revision: 1299220
- Mageia 7 Mass Rebuild

* Tue Aug 14 2018 tv <tv> 1:0.31-1.mga7
+ Revision: 1251459
- fix filelist
- new release

* Tue May 29 2018 tv <tv> 1:0.30-1.mga7
+ Revision: 1232921
- new release

* Thu May 24 2018 tv <tv> 1:0.29-2.mga7
+ Revision: 1232026
- move binary into main pkg, thus fixing biarch upgrade (mga#23065)

* Mon Mar 12 2018 tv <tv> 1:0.29-1.mga7
+ Revision: 1208293
- new release

* Sun Feb 18 2018 tv <tv> 1:0.28-1.mga7
+ Revision: 1202654
- new release

* Fri Sep 08 2017 tv <tv> 1:0.26-1.mga7
+ Revision: 1151856
- new release

* Wed Jul 19 2017 tv <tv> 1:0.25-1.mga7
+ Revision: 1125101
- new release

* Wed Mar 01 2017 tv <tv> 1:0.24-1.mga6
+ Revision: 1088316
- new release

* Fri Jan 20 2017 tv <tv> 1:0.23-1.mga6
+ Revision: 1082503
- new release

* Mon Sep 12 2016 tv <tv> 1:0.22-1.mga6
+ Revision: 1051641
- new version

* Wed Jun 22 2016 tv <tv> 1:0.21-1.mga6
+ Revision: 1037186
- new release

* Wed Jun 15 2016 tv <tv> 1:0.20-1.mga6
+ Revision: 1021530
- new release

* Tue Apr 26 2016 tv <tv> 1:0.19-1.mga6
+ Revision: 1006375
- new release
- revert
- BR pkgconfig(libwacom)

* Sun Jan 10 2016 tv <tv> 1:0.18-1.mga6
+ Revision: 920963
- new release

* Tue Dec 08 2015 tv <tv> 1:0.17-1.mga6
+ Revision: 908806
- new release

* Fri Nov 13 2015 tv <tv> 1:0.16-1.mga6
+ Revision: 903013
- new release

* Sat Jul 25 2015 tv <tv> 1:0.15-1.mga6
+ Revision: 857466
- new release

* Sat Jun 20 2015 tv <tv> 1:0.13-1.mga6
+ Revision: 836037
- new release

* Thu Dec 25 2014 doktor5000 <doktor5000> 1:0.11-1.mga6
+ Revision: 805973
- new version 0.11
- dropped old static 65-libwacom.rules udev rules
- generate udev rules dynamically during build from upstream device database

* Wed Oct 15 2014 umeabot <umeabot> 1:0.10-3.mga5
+ Revision: 741885
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.10-2.mga5
+ Revision: 681852
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 tv <tv> 1:0.10-1.mga5
+ Revision: 665815
- new release

* Tue Apr 15 2014 colin <colin> 1:0.9-2.mga5
+ Revision: 615127
- Fix udev rules dir

* Wed Mar 05 2014 tv <tv> 1:0.9-1.mga5
+ Revision: 600211
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1:0.8-2.mga4
+ Revision: 540342
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 1:0.8-1.mga4
+ Revision: 493538
- new release

* Wed May 01 2013 tv <tv> 1:0.7.1-1.mga3
+ Revision: 411747
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1:0.7-2.mga3
+ Revision: 358431
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 tv <tv> 1:0.7-1.mga3
+ Revision: 333606
- new release

* Wed Nov 14 2012 tv <tv> 1:0.6.1-0.1.mga3
+ Revision: 317946
- new release

* Sat Sep 08 2012 tv <tv> 1:0.6-0.1.mga3
+ Revision: 290222
- new release
- add udev rules from Redhat

* Sun Jun 03 2012 tv <tv> 1:0.5-1.mga3
+ Revision: 253712
- fix file list
- fix file list
- new release
- new release

* Tue Mar 27 2012 ovitters <ovitters> 1:0.4-1.mga2
+ Revision: 227127
- new version 0.4

* Wed Feb 08 2012 tv <tv> 1:0.3-2.mga2
+ Revision: 206402
- relax requires from library package on libwacom so that libification isn't
  defeated on next major bump
  (btw libwacom should be renamed libwacom-data)

* Wed Feb 08 2012 ovitters <ovitters> 1:0.3-1.mga2
+ Revision: 206374
- bump major to 2
- new version

* Tue Jan 17 2012 wally <wally> 1:0.2-1.mga2
+ Revision: 197417
- new version 0.2
- use source from gnome
- clean .spec a bit

* Wed Dec 21 2011 fwang <fwang> 1:0.1-2.mga2
+ Revision: 185365
- more strict req

* Wed Dec 21 2011 fwang <fwang> 1:0.1-1.mga2
+ Revision: 185359
- bump epoch so that it wont be obsoleted by installed x11-driver-input-wacom

* Wed Dec 21 2011 fwang <fwang> 0.1-1.mga2
+ Revision: 185334
- imported package libwacom

